> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dolphinflashcards.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Invite to Quest

> Invite another user to participate in a quest.



## OpenAPI

````yaml post /invite-to-quest
openapi: 3.1.0
info:
  title: DolphinFlashcardApp API
  version: '1.0'
  summary: Manage flashcards
  description: >-
    Set up user accounts, create or manage flashcards, set learning goals, and
    track performances with user's heatmap and streak data. Data is available in
    JSON format only. <br></br>**Note**: All parameters are case-sensitive.
    Request body parameters are required, but the query parameters are
    optional. 
  contact:
    name: Dolphin Flashcards
    url: https://dolphinflashcards.com/contact
    email: dolphinflashcards@outlook.com
  license:
    name: MIT
    url: https://github.com/jacob-macleod/Dolphin-Flashcard-App/blob/main/LICENSE
servers:
  - url: http://dolphinflashcards.com/api
    description: baseurl
security: []
tags:
  - name: Account
    description: Groups the endpoints required to create an account.
  - name: Card management
    description: Groups the endpoints required to create and manage flashcards.
  - name: Goal
    description: Groups the endpoints required to create and manage goals.
  - name: Statistics
    description: Groups the endpoints required to track heatmap and streak.
paths:
  /invite-to-quest:
    post:
      tags:
        - Quests
      summary: Invite to Quest
      description: Invite another user to participate in a quest.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - jwtToken
                - questId
                - invitedId
              properties:
                jwtToken:
                  type: string
                  description: JWT token for authentication.
                questId:
                  type: string
                  description: The ID of the quest.
                invitedId:
                  type: string
                  description: The ID of the user being invited.
      responses:
        '200':
          description: User invited.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: User invited
        '400':
          description: Bad request.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
        '404':
          description: Not Found.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: User that you trying to invite not exist
        '409':
          description: Conflict.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: User is not in this quest to invite someone
        '500':
          description: Internal server error.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string

````